Subject: Re: [StGit] How do I get colored diff output?

From: Peter Baumann <[email-masked]>
Date: Thu, 30 Aug 2007 15:59:09 +0200

On Thu, Aug 30, 2007 at 02:22:46PM +0100, Catalin Marinas wrote:
> Peter Baumann <[email-masked]> wrote:
> > Is there a way to get colored diff output, preferable from the native
> > git diff without having to specify stg diff -O --color everytime?
> > It seems that stg doesn't honor color.diff config entry, so I am a
> > little lost.
> >
> > (And yes I now that I could use the pager setting given in examples/gitconfig,
> >
> > 	stgit.pager = filterdiff --annotate | colordiff | less -FRX
> >
> >  but I really prefere the native git coloring, which looks a loot nicer
> >  and does also highlight traling whitespace)
> 
> There isn't any other way at the moment. There were ideas of adding
> support for default command line options for various commands but I
> haven't looked at this.
> 
> I now tried the example stgit.pager option and it looks bad indeed. In
> the meantime, there is a diffcol.sh script in the contrib directory, I
> use this instead and it looks much nicer.
> 

Ah. I didn't find that while searching for the color ouput.

Thx for your help,
Peter